/************************************************************
*  proto.h - Function prototypes
*  NASA IRTF
*  2680 Woodlawn Drive, Honolulu, HI, 96822
*
*  Author: Tony Denault
*************************************************************/

#if ANSI

   /* kernel.c */
	int PC38_inp8( short port );
	int PC38_outp8( short port, short data);
	int PC38csleep( int csec );
	int PC38csleeph( int * s );
	int PC38_puts( int addr, char *mess );
	int PC38_gets(int addr, char *mess, int len);
	int PC38_command( int addr, char * command, char * reply, int len_reply );
#else

   /* kernel.c */
	int PC38_inp8( );
	int PC38_outp8( );
	int PC38csleep( );
	int PC38csleeph( );
	int PC38_puts( );
	int PC38_gets( );
	int PC38_command( );
#endif

#define ERR_NONE                      0
#define ERR_TIMEOUT                  -1
#define ERR_INV_OPERATION            -2
#define ERR_INV_FUN                  -3
#define ERR_SEM_ABORT                -4

/* PCX I/O port definitions (add to I/O addess) */
#define PC38_DATA_REG        0x0
#define PC38_DONE_REG        0x01 
#define PC38_CONTROL_REG     0x02 
#define PC38_STATUS_REG      0x03 
 
/* CONTROL and STATUS register bit definitions */
#define PC38_CMDERR_BIT  0x1
#define PC38_INIT_BIT    0x2
#define PC38_ENC_BIT     0x4
#define PC38_OVRT_BIT    0x8
#define PC38_DONE_BIT    0x10
#define PC38_IBF_BIT     0x20
#define PC38_TBE_BIT     0x40
#define PC38_IRQ_BIT     0x80

